If a WPMUDev plugin doesn't say it's buddypress compatible, is it?

The description to the blogs dir plugin says “This plugin provides a paginated, fully search-able, avatar inclusive, automatic and rather good looking directory of all of the blogs on your WordPress Multisite or BuddyPress installation.”

However, in the compatibility notes, it says “Works perfectly with WordPress Multisite 3.3.2” and says nothing about BuddyPress.

In general, are most plugins going to be compatible with BP even if they don’t say it, like this one? Or if I decide to use BP, does that mean that I will prevent myself from being able to use some of these plugins?